This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 200422 - Review Request: international-time (first package, seeking sponsor)
Review Request: international-time (first package, seeking sponsor)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-27 12:20 EDT by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 05:10:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Clean SPEC file (1.52 KB, application/octet-stream)
2006-08-02 06:00 EDT, Parag AN(पराग)
no flags Details

  None (edit)
Description Tim Waugh 2006-07-27 12:20:51 EDT
Spec URL: http://cyberelk.net/tim/data/international-time/international-time.spec
SRPM URL: http://cyberelk.net/tim/data/international-time/international-time-0.0.1-1.src.rpm
Description: 
This is a graphical tool for converting a local "wall-clock" time into
UTC.  This is useful for arranging conference calls where participants
from other countries are expected.
Comment 1 cq92j9y+rlkr0w 2006-07-27 14:08:03 EDT
Hi Tim,

A couple of comments:

* The preferred value for the BuildRoot tag is
"%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)". This is not a
requirement for approval, though.

* desktop-file-install is usually (always?) called using "--vendor fedora" and
"--add-category X-Fedora".

* rpmlint has a few complaints (none of them serious):
   W: international-time summary-ended-with-dot
   W: international-time no-url-tag
   W: international-time no-documentation

* You can drop the 'pygtk2' requirement since 'pygtk2-libglade' already depends
on it. Also, it seems rpm already adds a dependency on "/usr/bin/python"
automatically so the 'python' requirement might be redundant... but I'm not
really sure.
Comment 2 Parag AN(पराग) 2006-08-02 05:52:14 EDT
I did some changes to this package's SPEC file. But as Author has not given URL
from where a source tarball can be downloaded and not included License copy in
%doc, rpmlint is not silent with warnings
W: international-time no-url-tag
W: international-time no-documentation

Comment 3 Parag AN(पराग) 2006-08-02 06:00:49 EDT
Created attachment 133473 [details]
Clean SPEC file 

I have fixed buildroot, BR, %prep section, added dist tag, fixed desktop file
installation, added %doc
Comment 4 Jason Tibbitts 2006-10-02 21:25:42 EDT
Jeez, this has sat around for a long time.  Tim, I know your folks are rather
busy lately, but do you still want to pursue getting this into extras?
Comment 5 Tim Waugh 2006-10-03 04:37:07 EDT
I do -- I'll have some time for this once FC6 is out, and will finish the
process.  Sorry for the delay.
Comment 6 Parag AN(पराग) 2006-10-03 04:54:45 EDT
Tim,
     You can use SPEC file I attached in comment #3.
Comment 8 Kevin Fenzi 2006-10-14 16:29:45 EDT
Hey Tim. Here's a review... 


OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
OK - BuildRequires correct
See below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Package is a GUI app and has a .desktop file
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
i386/x86_64 ok - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
See below - Should package latest version

Issues:

1. Is there an upstream Source0 URL where this is available?
Are you the upstream author?

2. Can you include some kind of license information or files?
If it's GPL, might include a COPYING file and perhaps note that it's
distributed under the GPL in a README or in the source files?

3. You might change the default perms from:
%defattr(-,root,root)
to
%defattr(-,root,root,-)

4. rpmlint says:

W: international-time no-url-tag
W: international-time no-documentation

5. It seems to run fine here, but I get the following warning: 

(international-time:4464): libglade-WARNING **: could not find glade file 
'international-time.glade'
Comment 9 Tim Waugh 2006-10-18 11:10:05 EDT
1. I am the upstream author.  I've put the original tarball in the cyberelk.net
directory now.
2. COPYING now included.
3. Changed, thanks.
4. URL tag added.  There just isn't any documentation; I haven't written any. 
There's not a lot to say. :-)
5. Warning removed.

Spec URL: http://cyberelk.net/tim/data/international-time/international-time.spec
SRPM URL:
http://cyberelk.net/tim/data/international-time/international-time-0.0.2-1.src.rpm
Comment 10 Kevin Fenzi 2006-10-18 14:06:45 EDT
1. ok. 
2. I see the COPYING file in the new upstream release, but not in the spec. 
3. ok. 
4. ok. Fair enough. It is a pretty simple app. 
5. ok. 

If you could add %doc COPYING to the spec when you check it in, that would be 
great. I don't see any more blockers, so this package is APPROVED, and I would 
be happy to sponsor you. 

Please continue the process from here: 
http://fedoraproject.org/wiki/Extras/Contributors#head-
bb3314e7b80fd98f037edd46f6d1efafbb611752

Don't forget to close this review request with NEXTRELEASE once it's been 
imported and built. 

Note You need to log in before you can comment on or make changes to this bug.